#
# spec file for package tunapie
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define _libdir %{_prefix}/lib
Name:           tunapie
Version:        2.1.19
Release:        3.7
Summary:        A directory browser for Internet radio and TV streams
License:        GPL-2.0+
Group:          Productivity/Multimedia/Other
Url:            http://tunapie.sourceforge.net/
Source:         http://prdownloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
BuildRequires:  python-devel
BuildRequires:  python-wxGTK
BuildRequires:  python-wxWidgets
BuildRequires:  update-desktop-files
Requires:       python-wxGTK
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
BuildRequires:  wxWidgets-devel

%description
TunaPie is a directory browser for Internet radio and TV streams. In theory it
should work on any UNIX-based system.

It has been tested on Linux and Max OS X. As of 0.9.6, it is compatible with
the Icecast directory as well as the Shoutcast (winamp) stream directory
service.

Tunapie allows you to search for streams and then launch your audio player
(XMMS) or NSV viewer (Mplayer) of choice. It also allows recording of audio and
video streams using streamripper.

%prep
%setup -q

%build
sed -i -e "s|tplogo.xpm/|tplogo/|g" tunapie.desktop
sed -i -e "s|/local/share/|/lib/|g" tunapie
sed -i -e "s|audacious|audacious2|g" src/tunapie2_main.py
python src/compile

%install
mkdir %{buildroot}/%{_sysconfdir}
echo '1'> %{buildroot}/%{_sysconfdir}/%{name}.config
mkdir -p %{buildroot}/%{_bindir}
cp %{name} %{buildroot}/%{_bindir}
mkdir -p %{buildroot}/%{_libdir}/%{name}
cp src/*.py src/*.png %{buildroot}/%{_libdir}/%{name}
mkdir -p %{buildroot}/%{_datadir}/pixmaps
cp src/tplogo.xpm %{buildroot}/%{_datadir}/pixmaps/
mkdir -p %{buildroot}/%{_mandir}/man1
cp %{name}.1 %{buildroot}/%{_mandir}/man1
mkdir -p %{buildroot}/%{_datadir}/applications
cp %{name}.desktop %{buildroot}/%{_datadir}/applications

%suse_update_desktop_file -r %{name} AudioVideo Player

%files
%defattr(-,root,root)
%doc CHANGELOG COPYING README
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/tplogo.xpm
%{_libexecdir}/%{name}
%config %{_sysconfdir}/%{name}.config
%{_mandir}/man1/%{name}.1%{ext_man}

%changelog
* Sun Mar 22 2015 musicsuse@gmx.com
- Update TunaPie to 2.1.19
* Thu Mar 10 2011 pascal.bleser@opensuse.org
- arch -> noarch
* Sat Aug 21 2010 detlef@links2linux.de
- new upstream version <2.1.18>
  * Fix recording problem with Icecast.
  * Add totem and amarok as optional players.
* Fri Jan  1 2010 detlef@links2linux.de
- fix desktop file
* Wed Dec 30 2009 detlef@links2linux.de
- use audacious2
* Sat Jul 18 2009 detlef@links2linux.de
- new upstream version <2.1.17>
  * Improve GUI responsiveness when playing radio stations
  * Fix security issue with use of os.system, commands and non-secure tempfiles
* Thu Mar  5 2009 detlef@links2linux.de
- new upstream version <2.1.15>
  * Fix minimal wx version back to 2.6
* Sat Jan 31 2009 detlef@links2linux.de
- new upstream version <2.1.14>
  * Fix errors with wxGTK 2.8
  * Fix startup error if Geom file corrupted
* Sat Nov 15 2008 detlef@links2linux.de
- new upstream version <2.1.13>
- add shoutcast_url patch
  * Play icecast stations correctly
  * Fix bug where radiolist is not always refreshed correctly.
  * Revert to deprecated code in prefs as new version not supported by wxpython 2.6!
  * Fix icecast directory.
  * Fix deprecation warnings for wxpython 2.8
  * Fix problem with GUI breakage when right clicking before download finished.
  * Fix xcb_lock errors.
* Sun Jun  8 2008 detlef@links2linux.de
- new upstream version <2.1.8>
* Wed Apr 30 2008 detlef@links2linux.de
- new upstream version <2.1.6>
* Tue Jan 29 2008 detlef@links2linux.de
- initial release <2.1.5>
